> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL. > > Documentation indexes by section: > - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt > - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt > - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt > - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt > > Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth > Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks > > OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json > MCP server: https://docusign.docs.buildwithfern.com/_mcp/server # FormGroups Resource With the appropriate permissions, form administrators at your company can create form groups, or curated set of forms gathered from the association **form libraries** to which Docusign provides access. Form groups enable agents to know which forms to add to rooms based on the type of transaction they are working on. When creating groups, administrators can make certain forms required, ensuring compliance. If you don't create groups, agents will have to choose forms they need from a list of association forms. ## Methods supported | Method | Description | | ------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- | | [AssignFormGroupForm](/docs/rooms-api/reference/forms/formgroups/assignformgroupform) | POST `/restapi/v2/accounts/{accountId}/form_groups/{formGroupId}/assign_form` Assigns a form to a form group. | | [CreateFormGroup](/docs/rooms-api/reference/forms/formgroups/createformgroup) | POST `/restapi/v2/accounts/{accountId}/form_groups` Creates a form group. | | [DeleteFormGroup](/docs/rooms-api/reference/forms/formgroups/deleteformgroup) | DEL `/restapi/v2/accounts/{accountId}/form_groups/{formGroupId}` Deletes a form group. | | [GetFormGroup](/docs/rooms-api/reference/forms/formgroups/getformgroup) | GET `/restapi/v2/accounts/{accountId}/form_groups/{formGroupId}` Gets a form group. | | [GetFormGroupForms](/docs/rooms-api/reference/forms/formgroups/getformgroupforms) | GET `/restapi/v2/accounts/{accountId}/form_groups/{formGroupId}/forms` Get forms of the specified form group. | | [GetFormGroups](/docs/rooms-api/reference/forms/formgroups/getformgroups) | GET `/restapi/v2/accounts/{accountId}/form_groups` Gets form groups. | | [GrantOfficeAccessToFormGroup](/docs/rooms-api/reference/forms/formgroups/grantofficeaccesstoformgroup) | POST `/restapi/v2/accounts/{accountId}/form_groups/{formGroupId}/grant_office_access/{officeId}` Grants an office access to a form group. | | [RemoveFormGroupForm](/docs/rooms-api/reference/forms/formgroups/removeformgroupform) | POST `/restapi/v2/accounts/{accountId}/form_groups/{formGroupId}/unassign_form/{formId}` Removes a form from a form group. | | [RenameFormGroup](/docs/rooms-api/reference/forms/formgroups/renameformgroup) | PUT `/restapi/v2/accounts/{accountId}/form_groups/{formGroupId}` Renames a form group. | | [RevokeOfficeAccessFromFormGroup](/docs/rooms-api/reference/forms/formgroups/revokeofficeaccessfromformgroup) | POST `/restapi/v2/accounts/{accountId}/form_groups/{formGroupId}/revoke_office_access/{officeId}` Revoke an office's access to a form group. | ## FormGroups properties | Property | Type | Description | | --------------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------- | | `endPosition` | integer (int32) | The last zero-based index position in the result set. | | `formGroups` | array | A list of form groups. | | `nextUri` | string | The URI for the next chunk of records based on the search request. This property is `null` for the last set of search results. | | `priorUri` | string | The URI for the previous chunk of records based on the search request. This property is `null` for the first set of search results. | | `resultSetSize` | integer (int32) | The number of results returned in this response. | | `startPosition` | integer (int32) | The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is `0`. | | `totalRowCount` | integer (int32) | The number of results in this reponse. | ## API Docs - FormGroups [Assign form to form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/assignformgroupform.md) - FormGroups [Create form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/createformgroup.md) - FormGroups [Delete form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/deleteformgroup.md) - FormGroups [Get form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/getformgroup.md) - FormGroups [Get forms of form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/getformgroupforms.md) - FormGroups [Get form groups](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/getformgroups.md) - FormGroups [Grant office access to form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/grantofficeaccesstoformgroup.md) - FormGroups [Remove form from form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/removeformgroupform.md) - FormGroups [Rename form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/renameformgroup.md) - FormGroups [Revoke office's access to form group](https://developers.docusign.com/docs/rooms-api/reference/forms/formgroups/revokeofficeaccessfromformgroup.md) ## OpenAPI Specification The raw OpenAPI 3.1 specification for this API is available at: - [OpenAPI JSON](https://developers.docusign.com/openapi.json) - [OpenAPI YAML](https://developers.docusign.com/openapi.yaml)